## python-django 1.11.4

=== debian/changelog ===
python-django (1:1.11.4-1ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/pymysql-replacement.patch: Use pymysql as drop in
      replacement for MySQLdb.
    - debian/control: Drop python-mysqldb in favor of python-pymysql.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 09 Aug 2017 08:49:41 -0700

python-django (1:1.11.4-1) unstable; urgency=medium

  * New upstream bugfix release.
    <https://docs.djangoproject.com/en/1.11/releases/1.11.4/>

 -- Chris Lamb <lamby@debian.org>  Tue, 01 Aug 2017 14:27:31 -0400

python-django (1:1.11.3-1ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/pymysql-replacement.patch: Use pymysql as drop in
      replacement for MySQLdb.
    - debian/control: Drop python-mysqldb in favor of python-pymysql.
  * All other changes dropped, as they were backports of upstream fixes.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 07 Jul 2017 15:19:59 -0700

python-django (1:1.11.3-1) unstable; urgency=medium

  [ Chris Lamb ]
  * New upstream bugfix release.
    - Drop 0003-Fixed-test_middleware_classes_headers-if-Django-sour.patch as
      it was merged upstream.
  * Check DEB_BUILD_PROFILES consistently, not DEB_BUILD_OPTIONS.

  [ Brian May ]
  * Use locally installed intersphinx mapping sources. (Closes: #852512)

 -- Chris Lamb <lamby@debian.org>  Sun, 02 Jul 2017 15:56:22 +0100

python-django (1:1.11.2-2) unstable; urgency=medium

  * Upload (LTS) release to unstable.
    - Incorporate Python 3.6 compatibility. (Closes: #865053)
  * Use !nocheck profile for build dependencies that are only required for
    tests.
  * Move to debhelper compatibility level 10.
  * Bump Standards-Version to 4.0.0.
  * wrap-and-sort -sa.

 -- Chris Lamb <lamby@debian.org>  Mon, 19 Jun 2017 11:27:46 +0800

python-django (1:1.11.2-1) experimental; urgency=medium

  [ Chris Lamb ]
  * New upstream minor release.
    <https://docs.djangoproject.com/en/1.11/releases/1.11.2/>
  * Backport patch from <https://code.djangoproject.com/ticket/26755> to
    prevent test_middleware_classes_headers from failing if the Django source
    is not writable. This should fix the autopkgtests. (Closes: #816435)
  * Refresh all patches with ``pq import && pq export --renumber``.

  [ Raphaël Hertzog ]
  * Update README.source and debian/gbp.conf.
  * Document a minimal Django packaging policy in
    README.Django-packaging-policy. (Closes: #863514)
  * Remove README.Debian which contained only outdated information.
  * Drop FastCGI initscript, it's obsolete, WSGI is required nowadays.
  * Drop migrate-south helper script as south is gone for a long time already.
  * Add same documentation in python3-django as in python-django.
    (Closes: #831838)

 -- Chris Lamb <lamby@debian.org>  Fri, 02 Jun 2017 09:38:16 +0100

python-django (1:1.11.1-3) experimental; urgency=medium

  * Really add Build-Depends on libgdal-dev.

 -- Chris Lamb <lamby@debian.org>  Sat, 06 May 2017 20:32:33 +0200

python-django (1:1.11.1-2) experimental; urgency=medium

  * Add missing Build-Depends on libgdal-dev due to new GIS tests.

 -- Chris Lamb <lamby@debian.org>  Sat, 06 May 2017 19:18:47 +0200

python-django (1:1.11.1-1) experimental; urgency=medium

  * New upstream minor release.
    <https://docs.djangoproject.com/en/1.11/releases/1.11.1/>

 -- Chris Lamb <lamby@debian.org>  Sat, 06 May 2017 16:33:25 +0200

python-django (1:1.11-1) experimental; urgency=medium

  * New upstream stable release. (Closes: #859515, #859516)

 -- Chris Lamb <lamby@debian.org>  Wed, 05 Apr 2017 09:54:00 +0200

python-django (1:1.11~rc1-1) experimental; urgency=medium

  * New upstream beta release.

 -- Chris Lamb <lamby@debian.org>  Wed, 22 Mar 2017 20:53:02 +0000

python-django (1:1.11~beta1-1) experimental; urgency=medium

  * New upstream beta release.
  * Update debian/gbp.conf.
  * Drop taskset calls when running testsuite now that
    <https://code.djangoproject.com/ticket/27741> has been resolved.

 -- Chris Lamb <lamby@debian.org>  Wed, 22 Feb 2017 07:43:29 +0800

python-django (1:1.11~alpha1-1) experimental; urgency=medium

  * New upstream alpha release.
  * Match/mangle upstream versions using (eg.) "b1" instead of "beta1" in
    debian/watch.
  * Drop now-unused source-is-missing Lintian overrides.
  * Limit parallelism in testsuite to avoid FTBFS. See:
    <https://code.djangoproject.com/ticket/27741>

 -- Chris Lamb <lamby@debian.org>  Wed, 25 Jan 2017 14:30:58 +1300

python-django (1:1.10.7-2ubuntu2) artful; urgency=medium

  * d/p/0001-Refs-27025-Fixed-tests-for-the-new-ModuleNotFoundErr.patch,
    d/p/0001-Refs-27025-Fixed-a-test-for-the-new-re.RegexFlag-in-.patch,
    d/p/0001-Refs-27025-Fixed-a-timezone-test-for-Python-3.6.patch,
    d/p/0001-Refs-27025-Fixed-a-servers-test-on-Python-3.6.patch:
    fix tests for compatibility with python 3.6.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 17 Jun 2017 23:33:25 -0700

python-django (1:1.10.7-2ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/pymysql-replacement.patch: Use pymysql as drop in
      replacement for MySQLdb.
    - debian/control: Drop python-mysqldb in favor of python-pymysql.
  * All other changes dropped, as they were backports of upstream fixes.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 17 Jun 2017 21:55:34 -0700

python-django (1:1.10~beta1-2) experimental; urgency=medium

  * Need to bump Debian revision due to change of .dsc contents.

 -- Chris Lamb <lamby@debian.org>  Sun, 26 Jun 2016 12:22:46 +0200

python-django (1:1.10~beta1-1) experimental; urgency=medium

  * New upstream beta release.

 -- Chris Lamb <lamby@debian.org>  Sun, 26 Jun 2016 10:24:45 +0200

python-django (1.8.7-1ubuntu11) zesty; urgency=medium

  * SECURITY UPDATE: Open redirect and possible XSS attack via
    user-supplied numeric redirect URLs

