=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/download\/(.*)\/tarball\//Django-$1.tar.gz/,uversionmangle=s/b(?=\d$)/beta/;s/(alpha|beta|rc)/~$1/ \
    http://www.djangoproject.com/download/ .*/([^/]+)/tarball/
