## python-django 1.11.10

=== debian/changelog ===
python-django (1:1.11.10-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Chris Lamb <lamby@debian.org>  Thu, 01 Feb 2018 18:10:22 +0000

python-django (1:1.11.10-1) unstable; urgency=medium

  * New upstream security release:
    - CVE-2018-6188: A regression in Django 1.11.8 made
      django.contrib.auth.forms.AuthenticationForm run its
      confirm_login_allowed() method even if an incorrect password is entered.
      This can leak information about a user, depending on what messages
      confirm_login_allowed() raises. If confirm_login_allowed() isn't
      overridden, an attacker enter an arbitrary username and see if that user
      has been set to is_active=False. If confirm_login_allowed() is
      overridden, more sensitive details could be leaked.
  * Use HTTPS "Format" URI in debian/copyright.

 -- Chris Lamb <lamby@debian.org>  Thu, 01 Feb 2018 17:42:06 +0000

python-django (1:1.11.9-1) unstable; urgency=medium

  * New upstream bugfix release.
    <https://docs.djangoproject.com/en/2.0/releases/1.11.9/>
  * Bump Standards-Version to 4.1.3.
  * Update debian/python-django-common.lintian-overrides for updated Lintian
    output.

 -- Chris Lamb <lamby@debian.org>  Tue, 02 Jan 2018 11:12:54 +0000

python-django (1:1.11.7-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Drop build-dep on python-six-doc which doesn't exist in stretch and
    stretch-backports.

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 20 Nov 2017 10:51:35 +0100

python-django (1:1.11.7-1) unstable; urgency=medium

  * New upstream bugfix release.
    <https://www.djangoproject.com/weblog/2017/nov/01/bugfix-release/>
  * debian/watch: Only match 1.x versions on this branch.

 -- Chris Lamb <lamby@debian.org>  Thu, 02 Nov 2017 07:47:22 +0100

python-django (1:1.11.6-2) unstable; urgency=medium

  * Add Breaks: openstack-dashboard (<< 3:12) to ensure this package gets
    upgraded (etc.) first. The version in experimental (3:12.x) is supposed to
    work with the newer python-django. (Closes: #880409)
  * wrap-and-sort -sa.
  * Use HTTPS URI in debian/watch.
  * Tidy whitespace in debian/changelog.

 -- Chris Lamb <lamby@debian.org>  Wed, 01 Nov 2017 11:35:53 +0100

python-django (1:1.11.6-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Set debian-branch to debian/stretch-backports in debian/gbp.conf.

 -- Chris Lamb <lamby@debian.org>  Thu, 12 Oct 2017 10:22:46 -0400

python-django (1:1.11.6-1) unstable; urgency=medium

  * New upstream bugfix release.
    <https://docs.djangoproject.com/en/1.11/releases/1.11.6/>
  * Build documentation using the Python 3 version of Sphinx to ease the
    Python 2.x migration.

 -- Chris Lamb <lamby@debian.org>  Fri, 06 Oct 2017 15:45:44 +0100

python-django (1:1.11.5-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Chris Lamb <lamby@debian.org>  Mon, 02 Oct 2017 20:24:48 +0100

python-django (1:1.11.5-2) unstable; urgency=medium

  * Fix QuerySet.defer() with super and subclass fields. (Closes: #876816)
  * Use --abbrev=7 when using git pq export.

 -- Chris Lamb <lamby@debian.org>  Tue, 26 Sep 2017 17:51:23 +0100

python-django (1:1.11.5-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Chris Lamb <lamby@debian.org>  Mon, 11 Sep 2017 08:06:29 +0100

python-django (1:1.11.5-1) unstable; urgency=medium

  * CVE-2017-12794: New upstream security release. (Closes: #874415)
    <https://docs.djangoproject.com/en/dev/releases/1.11.5/>

 -- Chris Lamb <lamby@debian.org>  Tue, 05 Sep 2017 21:39:37 +0100

python-django (1:1.11.4-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
    - Drop python-six-doc from Build-Depends.

 -- Chris Lamb <lamby@debian.org>  Mon, 07 Aug 2017 07:52:49 -0400
