=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: python-django
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders:
  Luke Faraone <lfaraone@debian.org>,
  Raphaël Hertzog <hertzog@debian.org>,
  Brian May <bam@debian.org>,
  Chris Lamb <lamby@debian.org>,
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Build-Depends:
  debhelper (>= 10),
  dh-python,
@@ -16,13 +15,17 @@
  libgdal-dev <!nocheck>,
  python-all (>= 2.6.6-3~),
  python-bcrypt <!nocheck>,
+ python-django-formtools-doc <!nodoc>,
+ python-doc <!nodoc>,
  python-docutils <!nodoc>,
  python-jinja2 <!nocheck>,
  python-mock <!nocheck>,
  python-numpy <!nocheck>,
  python-pil <!nocheck>,
+ python-psycopg2-doc <!nodoc>,
  python-setuptools,
- python-sphinx (>= 1.3),
+# Not in stretch and not in stretch-backports
+# python-six-doc <!nodoc>,
  python-sqlparse <!nocheck>,
  python-tblib <!nocheck>,
  python-tz <!nocheck>,
@@ -35,15 +38,12 @@
  python3-numpy <!nocheck>,
  python3-pil <!nocheck>,
  python3-setuptools,
+ python3-sphinx (>= 1.3),
  python3-sqlparse <!nocheck>,
  python3-tblib <!nocheck>,
  python3-tz <!nocheck>,
  python3-yaml  <!nocheck>,
- python-doc <!nodoc>,
  sphinx-doc <!nodoc>,
- python-six-doc <!nodoc>,
- python-django-formtools-doc <!nodoc>,
- python-psycopg2-doc <!nodoc>,
 Build-Depends-Indep:
  libjs-jquery,
 Homepage: http://www.djangoproject.com/
@@ -53,6 +53,8 @@
 
 Package: python-django
 Architecture: all
+Breaks:
+ openstack-dashboard (<< 3:12),
 Pre-Depends:
  dpkg (>= 1.17.14),
 Depends:
@@ -73,9 +75,9 @@
  python-django-doc,
  python-flup,
  python-memcache,
+ python-mysqldb,
  python-pil,
  python-psycopg2,
- python-pymysql,
  python-sqlite,
  python-yaml,
 Description: High-level Python web development framework (Python 2 version)
@@ -168,9 +170,9 @@
  python3-bcrypt,
  python3-flup,
  python3-memcache,
+ python3-mysqldb,
  python3-pil,
  python3-psycopg2,
- python3-pymysql,
  python3-sqlite,
  python3-yaml,
 Description: High-level Python web development framework (Python 3 version)
