## python-django 1.11.11

=== debian/changelog ===
python-django (1:1.11.11-1ubuntu1) bionic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/pymysql-replacement.patch: Use pymysql as drop in
      replacement for MySQLdb.
    - debian/control: Drop python-mysqldb in favor of python-pymysql.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 21 Mar 2018 09:42:10 -0400

python-django (1:1.11.11-1) unstable; urgency=medium

  [ Chris Lamb ]
  * New upstream security release:
    - CVE-2018-7536: Denial-of-service possibility in urlize and urlizetrunc
      template filters.
    - CVE-2018-7537: Denial-of-service possibility in truncatechars_html and
      truncatewords_html template filters

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

 -- Chris Lamb <lamby@debian.org>  Tue, 06 Mar 2018 22:44:12 -0800

python-django (1:1.11.10-1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/pymysql-replacement.patch: Use pymysql as drop in
      replacement for MySQLdb.
    - debian/control: Drop python-mysqldb in favor of python-pymysql.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 23 Feb 2018 11:56:40 -0800

python-django (1:1.11.9-1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/pymysql-replacement.patch: Use pymysql as drop in
      replacement for MySQLdb.
    - debian/control: Drop python-mysqldb in favor of python-pymysql.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 04 Jan 2018 15:08:15 -0800

python-django (1:1.11.6-1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/pymysql-replacement.patch: Use pymysql as drop in
      replacement for MySQLdb.
    - debian/control: Drop python-mysqldb in favor of python-pymysql.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 25 Oct 2017 23:03:30 -0700
