=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-django
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders:
  Luke Faraone <lfaraone@debian.org>,
  Raphaël Hertzog <hertzog@debian.org>,
@@ -24,8 +25,7 @@
  python-pil <!nocheck>,
  python-psycopg2-doc <!nodoc>,
  python-setuptools,
-# Not in stretch and not in stretch-backports
-# python-six-doc <!nodoc>,
+ python-six-doc <!nodoc>,
  python-sqlparse <!nocheck>,
  python-tblib <!nocheck>,
  python-tz <!nocheck>,
@@ -47,8 +47,8 @@
 Build-Depends-Indep:
  libjs-jquery,
 Homepage: http://www.djangoproject.com/
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-django.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-django.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-django.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-django
 X-Python-Version: >= 2.7
 
 Package: python-django
@@ -75,9 +75,9 @@
  python-django-doc,
  python-flup,
  python-memcache,
- python-mysqldb,
  python-pil,
  python-psycopg2,
+ python-pymysql,
  python-sqlite,
  python-yaml,
 Description: High-level Python web development framework (Python 2 version)
@@ -170,9 +170,9 @@
  python3-bcrypt,
  python3-flup,
  python3-memcache,
- python3-mysqldb,
  python3-pil,
  python3-psycopg2,
+ python3-pymysql,
  python3-sqlite,
  python3-yaml,
 Description: High-level Python web development framework (Python 3 version)
