=== debian/tests/control ===
Test-Command: debian/tests/django-admin --with python2
Depends: python-django

Test-Command: debian/tests/django-admin --with python3
Depends: python3-django

Test-Command: debian/tests/test-suite python2 python3
Restrictions: allow-stderr, needs-recommends
Depends: @, @builddeps@
