## python-django 1.11.15

=== debian/changelog ===
python-django (1:1.11.15-1ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/pymysql-replacement.patch: Use pymysql as drop in
      replacement for MySQLdb.
    - debian/control: Drop python-mysqldb in favor of python-pymysql.
    - Ignore test results, seems they have been broken since a lot of time, see
      Debian bug: #891753

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Aug 2018 09:57:11 +0200

python-django (1:1.11.15-1) unstable; urgency=medium

  * New upstream security release.
    - CVE-2018-14574: Open redirect possibility in CommonMiddleware.
      (Closes: #905216)

 -- Chris Lamb <lamby@debian.org>  Wed, 01 Aug 2018 23:06:03 +0800

python-django (1:1.11.14-1ubuntu2) cosmic; urgency=medium

  * Ignore test results, seems they have been broken since a lot of time, see
    Debian bug: #891753

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 03 Jul 2018 12:04:18 +0200

python-django (1:1.11.14-1ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/pymysql-replacement.patch: Use pymysql as drop in
      replacement for MySQLdb.
    - debian/control: Drop python-mysqldb in favor of python-pymysql.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 03 Jul 2018 10:29:01 +0200

python-django (1:1.11.14-1) unstable; urgency=medium

  * New upstrem bugfix release.
    <https://docs.djangoproject.com/en/2.0/releases/1.11.14/>

 -- Chris Lamb <lamby@debian.org>  Mon, 02 Jul 2018 17:49:29 +0100

python-django (1:1.11.13-2) unstable; urgency=medium

  [ Chris Lamb ]
  * Fix "SyntaxError: Generator expression must be parenthesized with
    python3.7". (Closes: #902761)

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field

 -- Chris Lamb <lamby@debian.org>  Sat, 30 Jun 2018 19:37:08 +0100

python-django (1:1.11.13-1ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/patches/pymysql-replacement.patch: Use pymysql as drop in
      replacement for MySQLdb.
    - debian/control: Drop python-mysqldb in favor of python-pymysql.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 27 Jun 2018 13:26:53 +0200

python-django (1:1.11.13-1) unstable; urgency=medium

  [ Chris Lamb ]
  * New upstream bugfix release.
    <https://docs.djangoproject.com/en/2.0/releases/1.11.13/>.
  * Bump Standards-Version to 4.1.4.

  [ Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP

 -- Chris Lamb <lamby@debian.org>  Wed, 02 May 2018 08:51:18 -0700

python-django (1:1.11.12-1) unstable; urgency=medium

  * New upstream bugfix release
    <https://docs.djangoproject.com/en/2.0/releases/1.11.12/>.
  * Bump debhelper compatibility level to 11.
  * Drop debian/python-django-doc.examples.
  * python-django-doc.doc-base: Update locations of documentation files as they
    are installed to /usr/share/doc/python-django, not [...]/python-django-doc.

 -- Chris Lamb <lamby@debian.org>  Tue, 03 Apr 2018 09:51:51 +0100
