=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
  Raphaël Hertzog <hertzog@debian.org>,
  Brian May <bam@debian.org>,
  Chris Lamb <lamby@debian.org>,
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11~),
  dh-python,
  dpkg-dev (>= 1.17.14),
  libgdal-dev <!nocheck>,
@@ -49,7 +49,6 @@
 Homepage: http://www.djangoproject.com/
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-django.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-django
-X-Python-Version: >= 2.7
 
 Package: python-django
 Architecture: all
