## python-django 1.11.20

=== debian/changelog ===
python-django (1:1.11.20-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Chris Lamb <lamby@debian.org>  Fri, 22 Feb 2019 09:44:56 +0000

python-django (1:1.11.20-1) unstable; urgency=medium

  * New upstream security release.
    - CVE-2019-6975: Fix memory exhaustion in utils.numberformat.format().
      (Closes: #922027)

 -- Chris Lamb <lamby@debian.org>  Mon, 11 Feb 2019 19:08:53 +0100

python-django (1:1.11.18-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Chris Lamb <lamby@debian.org>  Mon, 07 Jan 2019 08:21:00 +0100

python-django (1:1.11.18-1) unstable; urgency=medium

  * New upstream security release:
    - CVE-2019-3498: Content spoofing possibility in the default 404 page.
      (Closes: #918230)
    <https://www.djangoproject.com/weblog/2019/jan/04/security-releases/>
  * Move to debhelper-compat virtual package.
  * Bump debhelper compatibility level to 12.
  * Bump Standards-Version to 4.3.0.
  * 0007-Fixed-29182-Adjusted-SQLite-schema-table-.patch: Fix grammar/spelling
    error in upstream patch.

 -- Chris Lamb <lamby@debian.org>  Fri, 04 Jan 2019 18:23:06 +0100

python-django (1:1.11.17-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Chris Lamb <lamby@debian.org>  Sun, 09 Dec 2018 15:58:31 +0100

python-django (1:1.11.17-2) unstable; urgency=medium

  * Backport patch from upstream to fix compatibility with SQLite 3.26.
    (Closes: #915626)

 -- Chris Lamb <lamby@debian.org>  Fri, 07 Dec 2018 14:14:22 +0100

python-django (1:1.11.17-1) unstable; urgency=medium

  * New upstream bugfix release.
    - https://docs.djangoproject.com/en/stable/releases/1.11.17/
  * Drop patches that have been applied upstream:
    - 0005-Fix-SyntaxError-Generator-expression-must-be-parenth.patch,
    - 0007-Refs-28814-Fixed-migrations-crash-with-namespace-pac.patch
    - 0008-Refs-28814-Fixed-test_runner-failure-on-Python-3.7.patch

 -- Chris Lamb <lamby@debian.org>  Mon, 03 Dec 2018 22:34:53 +0100

python-django (1:1.11.16-4) unstable; urgency=medium

  * Cherry-pick two patches from upstream to fix test failures under Python
    3.7. Thanks to Gaudenz Steinlin for the in-depth investigation.
    (Closes: #891753)
  * Add libsqlite3-mod-spatialite to Build-Depends to ensure we test our patch
    for Spatialite 4.2 introduced as part of the fix for #910240.

 -- Chris Lamb <lamby@debian.org>  Sun, 02 Dec 2018 23:13:07 +0100

python-django (1:1.11.16-3) unstable; urgency=medium

  * Default to supporting Spatialite >= 4.2. (Closes: #910240)
  * debian/control:
    - Update libgdal's SONAME in Suggests.
    - Add libsqlite3-mod-spatialite to Suggests.

 -- Chris Lamb <lamby@debian.org>  Thu, 04 Oct 2018 10:38:34 +0100

python-django (1:1.11.16-2) unstable; urgency=medium

  * Fix broken contrib/admin/static/admin/{img,fonts}/README.txt symlinks.
    (Closes: #910120)
  * debian/rules:
    - Rename PREFIX -> PREFIX2 variable for clarity.
    - Use variables for the Python 2.x and 3.x "dist-packages" directories.

 -- Chris Lamb <lamby@debian.org>  Thu, 04 Oct 2018 09:31:33 +0100

python-django (1:1.11.16-1) unstable; urgency=medium

  * New upstream bugfix release:
    - Fix a race condition in QuerySet.update_or_create() that could result in
      data loss. <https://code.djangoproject.com/ticket/29499>
  * debian/tests/control: Drop deprecated needs-recommends test restriction.
  * Move "fonts" and "img" README documentation to /usr/share/doc.
  * Bump Standards-Version to 4.2.1.

 -- Chris Lamb <lamby@debian.org>  Mon, 01 Oct 2018 13:39:15 +0100

python-django (1:1.11.14-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports. (Closes: #904138)

 -- Chris Lamb <lamby@debian.org>  Fri, 20 Jul 2018 21:27:57 +0800
