=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: python-django
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders:
  Luke Faraone <lfaraone@debian.org>,
  Raphaël Hertzog <hertzog@debian.org>,
  Brian May <bam@debian.org>,
  Chris Lamb <lamby@debian.org>,
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 12),
  dh-python,
  dpkg-dev (>= 1.17.14),
  libgdal-dev <!nocheck>,
+ libsqlite3-mod-spatialite <!nocheck>,
  python-all (>= 2.6.6-3~),
  python-bcrypt <!nocheck>,
  python-django-formtools-doc <!nodoc>,
@@ -25,7 +25,8 @@
  python-pil <!nocheck>,
  python-psycopg2-doc <!nodoc>,
  python-setuptools,
- python-six-doc <!nodoc>,
+# Not in stretch and not in stretch-backports
+# python-six-doc <!nodoc>,
  python-sqlparse <!nocheck>,
  python-tblib <!nocheck>,
  python-tz <!nocheck>,
@@ -69,14 +70,15 @@
  geoip-database-extra | geoip-database-contrib,
  gettext,
  ipython,
- libgdal1,
+ libgdal20,
+ libsqlite3-mod-spatialite,
  python-bcrypt,
  python-django-doc,
  python-flup,
  python-memcache,
+ python-mysqldb,
  python-pil,
  python-psycopg2,
- python-pymysql,
  python-sqlite,
  python-yaml,
 Description: High-level Python web development framework (Python 2 version)
@@ -164,14 +166,15 @@
  geoip-database-contrib,
  gettext,
  ipython3,
- libgdal1,
+ libgdal20,
+ libsqlite3-mod-spatialite,
  python-django-doc,
  python3-bcrypt,
  python3-flup,
  python3-memcache,
+ python3-mysqldb,
  python3-pil,
  python3-psycopg2,
- python3-pymysql,
  python3-sqlite,
  python3-yaml,
 Description: High-level Python web development framework (Python 3 version)
