## python-django 1.11.21

=== debian/changelog ===
python-django (1:1.11.21-1) unstable; urgency=medium

  * New upstream security release.
    - CVE-2019-12308: XSS in Django admin via AdminURLFieldWidget
      (Closes: #929927)

 -- Luke W Faraone <lfaraone@debian.org>  Wed, 05 Jun 2019 00:07:07 +0000
