=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-django
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders:
  Luke Faraone <lfaraone@debian.org>,
  Raphaël Hertzog <hertzog@debian.org>,
@@ -25,8 +26,7 @@
  python-pil <!nocheck>,
  python-psycopg2-doc <!nodoc>,
  python-setuptools,
-# Not in stretch and not in stretch-backports
-# python-six-doc <!nodoc>,
+ python-six-doc <!nodoc>,
  python-sqlparse <!nocheck>,
  python-tblib <!nocheck>,
  python-tz <!nocheck>,
