## python-django 1.11.28

=== debian/changelog ===
python-django (1:1.11.28-1~deb10u1) buster-security; urgency=high

  * New upstream security release. (Closes: #950581)
    <https://www.djangoproject.com/weblog/2020/feb/03/security-releases/>

    - CVE-2020-7471: Potential SQL injection via StringAgg(delimiter)

      Django 1.11 before 1.11.28, 2.2 before 2.2.10, and 3.0 before 3.0.3
      allows SQL Injection if untrusted data is used as a StringAgg delimiter
      (e.g., in Django applications that offer downloads of data as a series of
      rows with a user-specified column delimiter). By passing a suitably
      crafted delimiter to a contrib.postgres.aggregates.StringAgg instance, it
      was possible to break escaping and inject malicious SQL.

 -- Chris Lamb <lamby@debian.org>  Fri, 14 Feb 2020 10:00:33 +0000

python-django (1:1.11.27-1~deb10u1) buster-security; urgency=high

  * New upstream security release. (Closes: #946937)
    <https://www.djangoproject.com/weblog/2019/dec/18/security-releases/>

    - CVE-2019-19844: Potential account hijack via password reset form.

      By submitting a suitably crafted email address making use of Unicode
      characters, that compared equal to an existing user email when
      lower-cased for comparison, an attacker could be sent a password reset
      token for the matched account.

      In order to avoid this vulnerability, password reset requests now compare
      the submitted email using the stricter, recommended algorithm for
      case-insensitive comparison of two identifiers from Unicode Technical
      Report 36, section 2.11.2(B)(2). Upon a match, the email containing the
      reset token will be sent to the email address on record rather than the
      submitted address.

 -- Chris Lamb <lamby@debian.org>  Mon, 06 Jan 2020 15:35:55 +0000

python-django (1:1.11.23-1~deb10u1) buster-security; urgency=high

  * New upstream security release.
    <https://www.djangoproject.com/weblog/2019/aug/01/security-releases/>

    - CVE-2019-14232: Denial-of-service possibility in
      django.utils.text.Truncator

      If django.utils.text.Truncator's chars() and words() methods were passed
      the html=True argument, they were extremely slow to evaluate certain
      inputs due to a catastrophic backtracking vulnerability in a regular
      expression. The chars() and words() methods are used to implement the
      truncatechars_html and truncatewords_html template filters, which were
      thus vulnerable.

      The regular expressions used by Truncator have been simplified in order
      to avoid potential backtracking issues. As a consequence, trailing
      punctuation may now at times be included in the truncated output.

    - CVE-2019-14233: Denial-of-service possibility in strip_tags()

      Due to the behavior of the underlying HTMLParser,
      django.utils.html.strip_tags() would be extremely slow to evaluate
      certain inputs containing large sequences of nested incomplete HTML
      entities. The strip_tags() method is used to implement the corresponding
      striptags template filter, which was thus also vulnerable.

      strip_tags() now avoids recursive calls to HTMLParser when progress
      removing tags, but necessarily incomplete HTML entities, stops being
      made.

      Remember that absolutely NO guarantee is provided about the results of
      strip_tags() being HTML safe. So NEVER mark safe the result of a
      strip_tags() call without escaping it first, for example with
      django.utils.html.escape().

    - CVE-2019-14234: SQL injection possibility in key and index lookups for
      JSONField/HStoreField

      Key and index lookups for django.contrib.postgres.fields.JSONField and
      key lookups for django.contrib.postgres.fields.HStoreField were subject
      to SQL injection, using a suitably crafted dictionary, with dictionary
      expansion, as the **kwargs passed to QuerySet.filter().

    - CVE-2019-14235: Potential memory exhaustion in
      django.utils.encoding.uri_to_iri()

      If passed certain inputs, django.utils.encoding.uri_to_iri could lead to
      significant memory usage due to excessive recursion when
      re-percent-encoding invalid UTF-8 octet sequences.

      uri_to_iri() now avoids recursion when re-percent-encoding invalid UTF-8
      octet sequences.

 -- Chris Lamb <lamby@debian.org>  Thu, 08 Aug 2019 16:00:04 +0100

python-django (1:1.11.22-1~deb10u1) buster-security; urgency=high

  * No-change update for buster-security.
  * Update debian/gbp.conf for new debian/buster branch.

 -- Chris Lamb <lamby@debian.org>  Wed, 03 Jul 2019 15:18:13 -0300
