## python-django 1.11.28.1

=== debian/changelog ===
python-django (1:1.11.28.1-1+dde) unstable; urgency=low

  * ['Autobuild release-candidate: 8c008efcfce9f9f84e4c205212370bba6d58f45d']

 -- shuttle <shuttle@deepin.com>  Thu, 30 Jul 2020 17:15:34 +0000
